Subject: erreurs de type sur ubuntu

From: "Jonathan Nubel" <[email-masked]>
Date: Sat, 25 Oct 2008 19:16:50 +0200

Bonjour,

j'ai un petit problème qui n'est pas extrêmement gênant mais qui est pour
moi incompréhensible. J'ai entré le code suivant dans un fichier
config.lypour remonter les numéros de mesures qui ont la fâcheuse
tendance à se
collisionner avec les crochets de système et pour réduire l'épaisseur des
barres de mesure:

\layout {
>     indent = 0.0\cm
>     \context { \Staff
>             *\override BarLine #'hair-thickness = #1*
>             \override TupletBracket #'transparent = ##t
>     }
>     \context { \Score
>             *\override BarNumber #'padding = #3*
>     }
>
> }
>
 La compilation fonctionne parfaitement sous windows (lilypond 2.10.33), mes
numéros de mesure sont là où je le désire, mes barres de mesure ont
l'épaisseur spécifiée. Mais en compilant sous Ubuntu (Hardy 8.04) avec la
même version de lilypond, j'obtiens les avertissements suivants:

AVERTISSEMENT : la vérification du type de « padding » a échoué ;
>    la valeur « #<unspecified> » doit être du type « dimension, in staff
> space »
> AVERTISSEMENT : la vérification du type de « hair-thickness » a échoué ;

   la valeur « #<unspecified> » doit être du type « number »

Et bien sûr le résultat n'est pas celui qui était attendu. Quelqu'un a-t-il
une idée ? Merci d'avance.

---
Jonathan Nubel
[email-masked]